import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudbrokerUserCreateResultBool(_base.BaseAPIResultBool):
    pass


class CloudbrokerUserCreateProtocol(_base.BasePostAPIFunctionProtocol):
    def create(
        self,
        *,
        user_name: str,
        email_addresses: list[str],
        password: str,
        api_access_group_ids: list[int] | None = None,
        auth_broker: _nested.AuthBroker | None = None,
    ) -> CloudbrokerUserCreateResultBool:
        ...
